Subject: Re: bug#6064: Fwd: 23.1.96; prompt for password echos password

From: Glenn Morris <[email-masked]>
Date: Mon, 11 Jul 2011 18:58:35 -0400

David Reitter wrote:

>> In shell mode, doing a sudo prompts for the password. This will
>> usually use the minibuffer to prompt for your password, and not echo
>> it such that others can see it. However, after aquamacs has been up
>> for several days, the behavior changes and the password is echoed
>> directly in the shell window. I'm not sure what triggers this
>> condition -- it could be related to either putting the computer to
>> sleep and waking it again, or possibly due to switching the network
>> connection (from wired to wireless)?

Sorry, I don't think we can do anything with this information.
If it happens again I suggest checking the global and buffer-local
values of comint-output-filter-functions.
comint-watch-for-password-prompt should be on the global value.
Maybe some package is clobbering the global value rather than setting a
buffer-local one.